<div *ngIf="hero">
    <h2>{{hero.name | uppercase}} Details</h2>
    <div>id: {{hero.id}}</div>
    <div>
        <label for="name"></label>
        <input type="text" [(ngModel)]="hero.name" id="name">
    </div>
    <button (click)="goBack()" class="btn-secondary">Go Back</button>
    <button (click)="save()" class="btn-success">Save changes</button>
</div>